Page MenuHomePhabricator

Mirrors all git repositories to GitHub
Closed, ResolvedPublic

Description

We should setup external git clones to github/gitorious etc.

For github, it should go under https://github.com/wikimedia


Version: unspecified
Severity: enhancement

Details

Reference
bz35429

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 12:11 AM
bzimport added a project: Gerrit.
bzimport set Reference to bz35429.
Reedy created this task.Mar 22 2012, 11:35 PM

EN.WP.ST47 wrote:

Really? It shouldn't go under mediawiki?

demon added a comment.Mar 23 2012, 1:25 PM

(In reply to comment #1)

Really? It shouldn't go under mediawiki?

I agree, I think mediawiki core + extensions should be under mediawiki, not wikimedia.

don't see a reason for this to be "high" priority.

demon added a comment.Mar 29 2012, 3:14 AM

Normal priority :)

It should be pretty easy--gerrit has built-in replication we can use.

I don't know who set up the 'mediawiki' account on github but afaik 'wikimedia' is the official account. Also note that this is the account name, not the repository name.

The repository name should obviously be 'mediawiki'. I suppose we migrate what's currently at https://github.com/wikimedia to Gerrit (or nuke it if it's no longer needed).

And then mirror all public wikimedia git repo's hosted in gerrit at github (one-way push). Maybe doing str_replace( '/', '-' ) on the repo names for github.

e.g. wikimedia/mediawiki-core.git wikimedia/mediawiki-extensions-Gadgets.git

demon added a comment.May 2 2012, 7:30 PM

(In reply to comment #5)

I don't know who set up the 'mediawiki' account on github but afaik 'wikimedia'
is the official account. Also note that this is the account name, not the
repository name.

I'm pretty sure it was Ævar. I've e-mailed him to ask.

Assigning to myself.

scfc added a comment.Sep 12 2012, 8:39 PM

(In reply to comment #4)

Normal priority :)

It should be pretty easy--gerrit has built-in replication we can use.

Any update on this?

demon added a comment.Sep 12 2012, 9:34 PM

(In reply to comment #7)

(In reply to comment #4)

Normal priority :)

It should be pretty easy--gerrit has built-in replication we can use.

Any update on this?

Well, I was hoping to have started on it, but the repo corruption problems from last week and this week have taken up all my time. It's the next thing on my to-do list.

(We were also waiting until the replication.config was properly puppetized, which it is since like a week and a half ago)

scfc added a comment.Sep 13 2012, 2:29 PM

(In reply to comment #8)

[...]
Well, I was hoping to have started on it, but the repo corruption problems from
last week and this week have taken up all my time. It's the next thing on my
to-do list.
[...]

Thanks.

scfc added a comment.Oct 2 2012, 11:49 AM

Any update on this?

(In reply to comment #10)

Any update on this?

According to the current status at http://www.mediawiki.org/wiki/Git/Conversion/status#2012-09-monthly, WMF "will begin replication to Github in early October."

demon added a comment.Oct 2 2012, 9:00 PM

Did the initial configuration of it today for mediawiki/core. Having some issues, which I'll finish troubleshooting tomorrow.

demon added a comment.Oct 3 2012, 4:29 PM

Got core replication working: https://github.com/mediawiki/core

Next step: extensions!

scfc added a comment.Oct 3 2012, 6:25 PM

(In reply to comment #13)

Got core replication working: https://github.com/mediawiki/core

Next step: extensions!

Perfect! Now we have a foundation GitHub users can rebase their repositories on (and see what gems they may have produced that we could pluck).

Note that GitHub repositories are now under the wikimedia account. Thus MediaWiki core is at https://github.com/wikimedia/mediawiki-core

It seems like most extensions are replicated on that account too (see https://github.com/wikimedia ). I guess this bug is fixed, Chad will confirm.

demon added a comment.Dec 14 2012, 5:13 PM

(In reply to comment #15)

It seems like most extensions are replicated on that account too (see
https://github.com/wikimedia ). I guess this bug is fixed, Chad will confirm.

Yeah, this is pretty much done.

Reedy added a comment.Dec 14 2012, 5:19 PM

Changed the title to reflect GitHub.

If someone wants somewhere else (gitorious etc), they can open a new bug.

demon added a comment.Dec 14 2012, 5:26 PM

Actually, on further thought, this is misleading. All we're currently replicating is mediawiki/* and qa/*.

No other repos have been replicated. Might need to reopen this :\

Why aren't we blanket mirroring all public repositories?

demon added a comment.Dec 14 2012, 6:24 PM

(In reply to comment #19)

Why aren't we blanket mirroring all public repositories?

I was explicitly asked not to replicate some repositories.

(In reply to comment #20)

(In reply to comment #19)

Why aren't we blanket mirroring all public repositories?

I was explicitly asked not to replicate some repositories.

(In reply to comment #18)

[..] All we're currently replicating is mediawiki/* and qa/*.

No other repos have been replicated. Might need to reopen this :\

If any more repositories need to be replicated. Please open a new bug.